Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateCustomerGatewayResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateCustomerGatewayResult

    public class CreateCustomerGatewayResult

extends Object

Constructor Summary
`CreateCustomerGatewayResult()`

Method Summary
`CustomerGateway` | `getCustomerGateway()` Information about the customer gateway.
`void` | `setCustomerGateway(CustomerGateway customerGateway)` Information about the customer gateway.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateCustomerGatewayResult` | `withCustomerGateway(CustomerGateway customerGateway)` Information about the customer gateway.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateCustomerGatewayResult

    public CreateCustomerGatewayResult()

Method Detail

### getCustomerGateway

    public CustomerGateway getCustomerGateway()

  Information about the customer gateway.

  Returns:
    Information about the customer gateway.

### setCustomerGateway

    public void setCustomerGateway(CustomerGateway customerGateway)

  Information about the customer gateway.

  Parameters:
    `customerGateway` - Information about the customer gateway.

### withCustomerGateway

    public CreateCustomerGatewayResult withCustomerGateway(CustomerGateway customerGateway)

  Information about the customer gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGateway` - Information about the customer gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.